DROP PROCEDURE IF EXISTS public.sp_UpdateOrgAddressFromGAR;

CREATE PROCEDURE public.sp_UpdateOrgAddressFromGAR
(
	"AddressId" uuid,
	"AOGUID"  uuid default null::uuid,
	"HouseGUID" uuid default null::uuid
)
    language plpgsql
as
$$
Begin

	update akuz.t_org_address  
	set 
		AOGUID = Coalesce("AOGUID",AOGUID), 
		HouseGUID = Coalesce("HouseGUID",HouseGUID)
	where OrgAddressID = "AddressId";

End;
$$;